import * as __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__ from "@tachybase/test/e2e";
__WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.test.describe('page:addBlock', ()=>{
    (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.test)('当搜索不到数据时显示空状态', async (param)=>{
        let { page, mockPage } = param;
        await mockPage().goto();
        await page.getByLabel('schema-initializer-Grid-').hover();
        await page.getByRole('menuitem', {
            name: 'table Table right'
        }).hover();
        await page.getByRole('textbox', {
            name: 'Search and select collection'
        }).fill('no match');
        await (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.expect)(page.getByRole('menuitem', {
            name: 'No data'
        })).toBeVisible();
    });
});
